Registry↗Dashboard↗

Agents

Agent information

5 endpoints

Get agent reliability

Agent reliability data — false positive rate, resolution rate, time to resolve.

Requires authentication
agentstringquery
versionstringquery

Filter by agent definition version

projectstringquery

Project UUID or name

daysintegerquery

Time window in days

Default: 30
200Agent reliability data

Response fields

dataobject
GET/api/v1/agents/reliability
curl -X GET "https://api.uluops.ai/api/v1/agents/reliability" \
  -H "Authorization: Bearer $ULUOPS_TOKEN"
Response
{
  "data": "..."
}

Get agent identity

Requires authentication
namerequiredstringpath

Agent name

200Agent identity with lineage
401Missing or invalid authentication
404Resource not found

Response fields

dataobject
GET/api/v1/agents/{name}/identity
curl -X GET "https://api.uluops.ai/api/v1/agents/my-project/identity" \
  -H "Authorization: Bearer $ULUOPS_TOKEN"
Response
{
  "data": {
    "current": "...",
    "lineage": [],
    "versionCount": 0
  }
}

Get agent identity versions

Requires authentication
namerequiredstringpath

Agent name

200List of agent identity versions
401Missing or invalid authentication

Response fields

dataobject[]
countinteger
GET/api/v1/agents/{name}/versions
curl -X GET "https://api.uluops.ai/api/v1/agents/my-project/versions" \
  -H "Authorization: Bearer $ULUOPS_TOKEN"
Response
{
  "data": [],
  "count": 0
}

Get agent lifecycle analytics

Requires authentication
namerequiredstringpath

Agent name

projectstringquery

Project UUID or name

daysintegerquery

Time window in days

Default: 30
200Agent lifecycle data points
401Missing or invalid authentication

Response fields

dataobject[]
countinteger
computedAtstringdate-time
GET/api/v1/agents/{name}/lifecycle
curl -X GET "https://api.uluops.ai/api/v1/agents/my-project/lifecycle" \
  -H "Authorization: Bearer $ULUOPS_TOKEN"
Response
{
  "data": [],
  "count": 0,
  "computedAt": "2026-01-15T10:30:00Z"
}

Get agent runs analysis

Requires authentication
namerequiredstringpath

Agent name

200Analysis summaries with run context for the agent
401Missing or invalid authentication

Response fields

dataobject
GET/api/v1/agents/{name}/runs-analysis
curl -X GET "https://api.uluops.ai/api/v1/agents/my-project/runs-analysis" \
  -H "Authorization: Bearer $ULUOPS_TOKEN"
Response
{
  "data": "..."
}